> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth client

> Retrieve a single OAuth client by ID



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/oauth.yml get /oauth/clients/{id}
openapi: 3.1.0
info:
  title: Telnyx OAuth API
  version: 2.0.0
  description: API for OAuth.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /oauth/clients/{id}:
    get:
      tags:
        - OAuth Clients
      summary: Get OAuth client
      description: Retrieve a single OAuth client by ID
      operationId: GetOAuthClient
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: OAuth client ID
      responses:
        '200':
          description: OAuth client details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OAuthClient'
        '404':
          description: OAuth client not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/oauth_Error'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const oauthClient = await
            client.oauthClients.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(oauthClient.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            oauth_client = client.oauth_clients.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(oauth_client.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\toauthClient, err := client.OAuthClients.Get(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", oauthClient.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.oauthclients.OAuthClientRetrieveParams;

            import
            com.telnyx.sdk.models.oauthclients.OAuthClientRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    OAuthClientRetrieveResponse oauthClient = client.oauthClients().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            oauth_client =
            telnyx.oauth_clients.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(oauth_client)
        - lang: CLI
          source: |-
            telnyx oauth-clients retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    OAuthClient:
      type: object
      properties:
        record_type:
          type: string
          enum:
            - oauth_client
          description: Record type identifier
        client_id:
          type: string
          description: OAuth client identifier
        name:
          type: string
          description: Human-readable name for the OAuth client
        org_id:
          type: string
          description: Organization ID that owns this OAuth client
        user_id:
          type: string
          description: User ID that created this OAuth client
        allowed_scopes:
          type: array
          items:
            type: string
          description: List of allowed OAuth scopes
        client_type:
          type: string
          enum:
            - public
            - confidential
          description: OAuth client type
        require_pkce:
          type: boolean
          description: >-
            Whether PKCE (Proof Key for Code Exchange) is required for this
            client
        allowed_grant_types:
          type: array
          items:
            type: string
            enum:
              - client_credentials
              - authorization_code
              - refresh_token
          description: List of allowed OAuth grant types
        redirect_uris:
          type: array
          items:
            type: string
            format: uri
          description: List of allowed redirect URIs
        logo_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client logo
        tos_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client's terms of service
        policy_uri:
          type:
            - string
            - 'null'
          format: uri
          description: URL of the client's privacy policy
        client_secret:
          type:
            - string
            - 'null'
          description: >-
            Client secret (only included when available, for confidential
            clients)
        created_at:
          type: string
          format: date-time
          description: Timestamp when the client was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the client was last updated
      required:
        - record_type
        - client_id
        - name
        - org_id
        - user_id
        - client_type
        - require_pkce
        - created_at
        - updated_at
    oauth_Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        error_description:
          type: string
          description: Human-readable error description
      required:
        - error
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````